# Generated by Django 4.1.4 on 2022-12-28 01:28

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("game", "0031_alter_item_inventory"),
    ]

    operations = [
        migrations.CreateModel(
            name="GameItem",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=100)),
                ("icon", models.ImageField(blank=True, null=True, upload_to="icons/")),
                ("description", models.TextField(blank=True, null=True)),
                ("action", models.CharField(max_length=100, null=True)),
                ("action_details", models.TextField(null=True)),
            ],
        ),
        migrations.RemoveField(
            model_name="item",
            name="description",
        ),
        migrations.RemoveField(
            model_name="item",
            name="icon",
        ),
        migrations.RemoveField(
            model_name="item",
            name="name",
        ),
        migrations.AddField(
            model_name="item",
            name="data",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="info",
                to="game.gameitem",
            ),
        ),
    ]
